package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Busbtn;
import com.brilliance.isc.bo.Cur;
import com.brilliance.isc.vo.BusbtnVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author mkz
* @description 针对表【busbtn(交易按钮配置表)】的数据库操作Mapper
* @createDate 2024-02-19 09:30:58
* @Entity generator.domain.Busbtn
*/
public interface BusbtnMapper {


   List<Busbtn> selectByBustypAndIsShow(String bustyp);

   List<Busbtn> selectByBustypAndIsShowAndBranch(@Param("bustyp") String bustyp, @Param("branch") String branch);

   /**
    * 通过ID查询单条数据
    *
    * @param id
    * @return 实例对象
    */
   Busbtn queryById(@Param("id") Long id);

   /**
    * 查询指定行数据
    *
    * @param busbtn      查询条件
    * @return 对象列表
    */
   List<Busbtn> queryAllByLimit(Busbtn busbtn);



   /**
    * 新增数据
    *
    * @param busbtn 实例对象
    * @return 影响行数
    */
   int insert(Busbtn busbtn);


   /**
    * 修改数据
    *
    * @param busbtn 实例对象
    * @return 影响行数
    */
   int update(Busbtn busbtn);

   /**
    * 通过主键删除数据
    *
    * @param id
    * @return 影响行数
    */
   int deleteById(@Param("id") Long id);

}




